<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerImplementFallDamage Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/dfb/class_day_z_player_implement_fall_damage.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerImplementFallDamage Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3abdc2b8dff8a6d29656dc8faa800eb0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a3abdc2b8dff8a6d29656dc8faa800eb0">DayZPlayerImplementFallDamage</a> (DayZPlayer pPlayer)</td></tr>
<tr class="separator:a3abdc2b8dff8a6d29656dc8faa800eb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2aeb0186a9f2329b95b100b7ecefbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#aae2aeb0186a9f2329b95b100b7ecefbe">DamageCoef</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pHeight)</td></tr>
<tr class="memdesc:aae2aeb0186a9f2329b95b100b7ecefbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">damage coef calculated from height  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#aae2aeb0186a9f2329b95b100b7ecefbe">More...</a><br /></td></tr>
<tr class="separator:aae2aeb0186a9f2329b95b100b7ecefbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd0ccdf6af463cf6a5138c43682c42c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#abd0ccdf6af463cf6a5138c43682c42c1">HandleFallDamage</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pHeight)</td></tr>
<tr class="memdesc:abd0ccdf6af463cf6a5138c43682c42c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">handle fall damage  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#abd0ccdf6af463cf6a5138c43682c42c1">More...</a><br /></td></tr>
<tr class="separator:abd0ccdf6af463cf6a5138c43682c42c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a96ba5475d3aa7409163129958502110d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a96ba5475d3aa7409163129958502110d">FD_AMMO</a> = &quot;FallDamage&quot;</td></tr>
<tr class="memdesc:a96ba5475d3aa7409163129958502110d"><td class="mdescLeft">&#160;</td><td class="mdescRight">ammo type used for damaging  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a96ba5475d3aa7409163129958502110d">More...</a><br /></td></tr>
<tr class="separator:a96ba5475d3aa7409163129958502110d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3635390f8d1da6b8d31e8511cecea368"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a3635390f8d1da6b8d31e8511cecea368">FD_DMG_FROM_HEIGHT</a> = 2.5</td></tr>
<tr class="memdesc:a3635390f8d1da6b8d31e8511cecea368"><td class="mdescLeft">&#160;</td><td class="mdescRight">damage will not be taken into account bellow this HeightToDamage  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a3635390f8d1da6b8d31e8511cecea368">More...</a><br /></td></tr>
<tr class="separator:a3635390f8d1da6b8d31e8511cecea368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a6bb2e87752c190255efc3774b1a1c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a49a6bb2e87752c190255efc3774b1a1c">FD_MAX_DMG_AT_HEIGHT</a> = 15</td></tr>
<tr class="memdesc:a49a6bb2e87752c190255efc3774b1a1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">height where player gets 100% damage  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a49a6bb2e87752c190255efc3774b1a1c">More...</a><br /></td></tr>
<tr class="separator:a49a6bb2e87752c190255efc3774b1a1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae05821604046b56308a00d42a1d1932c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#ae05821604046b56308a00d42a1d1932c">FD_MAX_HEIGHT_LEG_BREAK</a> = 8</td></tr>
<tr class="memdesc:ae05821604046b56308a00d42a1d1932c"><td class="mdescLeft">&#160;</td><td class="mdescRight">height where legs break most of the time  <a href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#ae05821604046b56308a00d42a1d1932c">More...</a><br /></td></tr>
<tr class="separator:ae05821604046b56308a00d42a1d1932c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1139cb551624f1939a75961f05d07f23"><td class="memItemLeft" align="right" valign="top">DayZPlayer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html#a1139cb551624f1939a75961f05d07f23">m_Player</a></td></tr>
<tr class="separator:a1139cb551624f1939a75961f05d07f23"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3abdc2b8dff8a6d29656dc8faa800eb0" name="a3abdc2b8dff8a6d29656dc8faa800eb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abdc2b8dff8a6d29656dc8faa800eb0">&#9670;&#160;</a></span>DayZPlayerImplementFallDamage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementFallDamage::DayZPlayerImplementFallDamage </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00010">10</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aae2aeb0186a9f2329b95b100b7ecefbe" name="aae2aeb0186a9f2329b95b100b7ecefbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae2aeb0186a9f2329b95b100b7ecefbe">&#9670;&#160;</a></span>DamageCoef()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementFallDamage::DamageCoef </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pHeight</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>damage coef calculated from height </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00016">16</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<a id="abd0ccdf6af463cf6a5138c43682c42c1" name="abd0ccdf6af463cf6a5138c43682c42c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd0ccdf6af463cf6a5138c43682c42c1">&#9670;&#160;</a></span>HandleFallDamage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementFallDamage::HandleFallDamage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pHeight</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>handle fall damage </p>
<p >no dmg height</p>
<p >updates injury state of player immediately</p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00025">25</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a96ba5475d3aa7409163129958502110d" name="a96ba5475d3aa7409163129958502110d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96ba5475d3aa7409163129958502110d">&#9670;&#160;</a></span>FD_AMMO</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZPlayerImplementFallDamage::FD_AMMO = &quot;FallDamage&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ammo type used for damaging </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<a id="a3635390f8d1da6b8d31e8511cecea368" name="a3635390f8d1da6b8d31e8511cecea368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3635390f8d1da6b8d31e8511cecea368">&#9670;&#160;</a></span>FD_DMG_FROM_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementFallDamage::FD_DMG_FROM_HEIGHT = 2.5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>damage will not be taken into account bellow this HeightToDamage </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<a id="a49a6bb2e87752c190255efc3774b1a1c" name="a49a6bb2e87752c190255efc3774b1a1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49a6bb2e87752c190255efc3774b1a1c">&#9670;&#160;</a></span>FD_MAX_DMG_AT_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementFallDamage::FD_MAX_DMG_AT_HEIGHT = 15</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>height where player gets 100% damage </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<a id="ae05821604046b56308a00d42a1d1932c" name="ae05821604046b56308a00d42a1d1932c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae05821604046b56308a00d42a1d1932c">&#9670;&#160;</a></span>FD_MAX_HEIGHT_LEG_BREAK</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementFallDamage::FD_MAX_HEIGHT_LEG_BREAK = 8</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>height where legs break most of the time </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<a id="a1139cb551624f1939a75961f05d07f23" name="a1139cb551624f1939a75961f05d07f23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1139cb551624f1939a75961f05d07f23">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DayZPlayer DayZPlayerImplementFallDamage::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html#l00008">8</a> of file <a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../de/d1b/_day_z_player_implement_fall_damage_8c_source.html">DayZPlayerImplementFallDamage.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/dfb/class_day_z_player_implement_fall_damage.html">DayZPlayerImplementFallDamage</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
